<!DOCTYPE HTML>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"  %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="/ips" prefix="ips" %>
<%@ taglib uri="/wsp" prefix="wsp" %>
<%@ page  isELIgnored="false" contentType="text/html; charset=UTF-8" session="true"  errorPage="/errorPage.jsp"%>
<fmt:setBundle basename="Messages" scope="request"/>
<%@page import="ipsk.webapps.db.speech.ProjectController" %>
<html>
<head>
<meta charset="UTF-8">
<%@ include file="/stylesheets.jsp" %>
<title>Privacy policy</title>
</head>
<body>
 <table class="page">
 <tr><td colspan="2"><%@ include file="/logoTd.jsp" %></td></tr>
 <tr><td class="contentw" colspan="2"><%@ include file="/titletoolbar.jsp" %></td></tr>
 <tr><td class="menu"><%@ include file="/menu.jsp" %></td>
 <td class="content">
<h1>Privacy policy</h1>
<h2>Scope</h2>
<p>This privacy policy declaration applies to the WikiSpeech web application with the base URL https://webapp.phonetik.uni-muenchen.de/wikispeech</p>
<h2>Responsibilities</h2>
<p>Responsible in terms of privacy policy is:</p>
<p>Christoph Draxler, E-Mail: <a href="mailto:draxler@phonetik.uni-muenchen.de">draxler@phonetik.uni-muenchen.de</a></p>
<p>Address:</p>
<p>Institut f&uuml;r Phonetik und Sprachverarbeitung, LMU Munich<br/>
Schellingstr. 3<br/>
80799 M&uuml;nchen<br/>
Germany</p>
<p>The contact details of the data protection officer of the LMU can be found here <a href="https://www.lmu.de/datenschutz">https://www.lmu.de/datenschutz</a>.</p>

<h2>Visiting the website</h3>
<h3>Personal data that we collect</h3>
<h4>Access data</h4>
<p>Each time a resource (website, images, etc.) is requested, our server stores the following data in the server log:</p>
<ul>
<li>Your Internet Protocol (IP) Address</li>
<li>The timestamp of the request</li>
<li>The manufacturer and type of browser used reported by the accessing browser (user agent).</li>
</ul>
<p>The IP address is considered personal data, since it makes it possible to identify you.</p>
<p>Our legitimate interest in storing and processing this data follows from the following purposes of processing:</p>
<ul>
	<li>Fix technical issues</li>
	<li>Identification and tracking of illegal access attempts and access to the web server</li>
</ul>
<h4>Retention period</h4>
<p>The recorded data are saved for a maximum of 16 days and then deleted. A longer retention period may occur in an individual case, provided a violation related to security was discovered. The access data is then deleted only after the case has been clarified.</p>
<h4>Cookies</h4>
<p>We use so-called cookies only as a technical aid so that you can set certain preferences during a session. These are e.g. the language setting or the appearance of tables.</p>
<p>These cookies are stored in your browser and are automatically deleted after the session.</p> 
<h4>Data transfer</h4>
<p>All sensitive data are transfered encrypted (HTTPS protocol).</p>

<h4>Contact form</h4>
<p>By submitting an inquiry using the contact form, you voluntarily consent to us saving your inquiry for the purpose of processing and contacting you to answer the inquiry.</p>


<h2>Participation in voice recordings</h2>
<h3>Rights of the data subject</h3>
<h4>Right of information of the data subject</h4>
<p>You can contact the person responsible for this web application at any time to obtain information about the data stored about you and how it is processed.</p>
<h4>Right to rectification</h4>
<p>You can contact the person responsible for this web application at any time to have your personal data corrected.</p>
<h4>Right to erasure</h4>
<p>You can delete your WikiSpeech account on the 'Profile' page in the user account menu (User icon in the upper right corner) or contact the person(s) responsible for the project or the person(s) responsible for this web application at any time to have your personal data deleted.</p>
<p>However, this does not apply to data that has already been pseudonymized and for which you have given your consent. In our case, voice recordings and possibly personal characteristics that are relevant for the purpose of language research.</p>
<p>If you are not able to login to the web application anymore, you must be able to prove your identity in order to carry out the above rights.</p>
<p>Your WikiSpeech user account can be deleted at any time by the administrator of the project.</p>

<h3>User account</h3>
<p>The following data is stored for a user account:<p>
<ul>
<li>First name</li>
<li>Surname</li>
<li>E-Mail Address</li>
<li>Time of last logged in</li>
</ul>

<h3>Voice recording session</h3>
<p>When participating in a voice recording project for the purpose of research and teaching, your language will be recorded and stored. You have full control over when to record and when to pause recording.</p>
<p>The specific research purpose and further processing of your data depends on the respective voice recording project. Please refer to the corresponding project description, which will be sent to you by the project managers.</p>
<p>For the assignment of the recording files, a speaker record is saved for you in the web application. Depending on the requirements of the project, you may also be asked to specify speaker characteristics such as gender or age. The speaker data record is only stored with your consent.</p>
<p>The actual recording session consists of at least one single recording, in most projects it is several short recordings. You have full control over when to record and when to pause the recording. The time of the recording session and the individual recordings are saved.</p>
<h3>Data storage</h3>
<p>Data is transfered encrypted and stored unencrypted on servers of the Institut of Phonetics and Speech Processing at the LMU Munich.</p>
<p>The servers of the Institut of Phonetics and Speech Processing are integrated into the network structure of the Leibniz-Rechenzentrum of the Bavarian Academy of Science and Humanities and protected (e.g. by a firewall). The software and hardware of the servers and the network infrastructure are state of the art and subject to access control.
<h3>Data Backup</h3>
<p>The data of the web application is stored regularly to Leibniz-Rechenzentrum of the Bavarian Academy of Science and Humanities. The backup data is encrypted. After deleting data from the web application, it remains on the server for seven days and in the backup for six months.</p> 
<h3>Authorization</h3>
<p>Access to the data is minimized by role-based regulations.</p>
<p>Authentication is done with username and password. Passwords are tested for their suitability and stored in encrypted form.</p>

<h2>Changes to this privacy policy</h2>
<p>We reserve the right to adapt this privacy policy to new requirements.</p>
<p>The current version of this data protection declaration always applies to your visit.</p> 
</td></tr>
</table>
</body>
</html>